﻿using Microsoft.VisualBasic;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Data;
using System.Diagnostics;
using System.Linq;


public class DataUtilDomainService 
{

    #region "Queries"
    public IQueryable<Country> GetCountries()
    {
        return DataUtil.Countries.AsQueryable();
    }

    public IQueryable<State> GetStates(int CountryID)
    {
        return DataUtil.States.AsQueryable().Where(s => s.CountryID == CountryID);
    }

    public IQueryable<City> GetCities(int StateID)
    {
        return DataUtil.Cities.AsQueryable().Where(c => c.StateID == StateID);
    }
    #endregion
}